package cn.iocoder.yudao.module.inspection.service.impl;

import java.util.List;

import cn.iocoder.yudao.util.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.iocoder.yudao.module.inspection.mapper.DelOrderInfoMapper;
import cn.iocoder.yudao.module.inspection.entity.DelOrderInfo;
import cn.iocoder.yudao.module.inspection.service.IDelOrderInfoService;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2024-05-08
 */
@Service
public class DelOrderInfoServiceImpl implements IDelOrderInfoService
{
    @Autowired
    private DelOrderInfoMapper delOrderInfoMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public DelOrderInfo selectDelOrderInfoById(Long id)
    {
        return delOrderInfoMapper.selectDelOrderInfoById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param delOrderInfo 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<DelOrderInfo> selectDelOrderInfoList(DelOrderInfo delOrderInfo)
    {
        return delOrderInfoMapper.selectDelOrderInfoList(delOrderInfo);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param delOrderInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertDelOrderInfo(DelOrderInfo delOrderInfo)
    {
        return delOrderInfoMapper.insertDelOrderInfo(delOrderInfo);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param delOrderInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateDelOrderInfo(DelOrderInfo delOrderInfo)
    {
        delOrderInfo.setUpdateTime(DateUtils.getNowDate());
        return delOrderInfoMapper.updateDelOrderInfo(delOrderInfo);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteDelOrderInfoByIds(Long[] ids)
    {
        return delOrderInfoMapper.deleteDelOrderInfoByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteDelOrderInfoById(Long id)
    {
        return delOrderInfoMapper.deleteDelOrderInfoById(id);
    }
}
